Introduction

TreeSize Free - Introduction

Navigation: »No topics above this level«

TreeSize Free - Introduction

Every hard disk is too small if you just wait long enough. TreeSize Free tells you where precious space has gone to. It can be started from the context menu of a folder or drive and shows you the size of this folder, including its sub-folders. You can expand this folder in Explorer-like style and you will see the size of every sub-folder. Scanning is done in a thread, so you can already see results while TreeSize Free is working. The space, which is actually used by the file system can be displayed and the results can be printed in a report.


Installation

Navigation: »No topics above this level«

Installation

Simply execute the installer and follow the instructions. TreeSize Free can be uninstalled through the Windows Control Panel. Supported operating systems are Windows Vista and later, including the 64Bit editions.

Portable installation

In addition to the normal installer, TreeSize Free is available as a ZIP file, which saves its settings locally and can e.g. be run from a portable medium such as an USB stick.


Tips & Annotations

Navigation: »No topics above this level«

Tips & Annotations

The following information is important. Provided are instructions and information which makes understanding of TreeSize and how to use it easier.

General Tips

·The allocated space that Windows shows in the properties dialog of the drive may be larger than the allocated space reported by TreeSize Free. The Windows Explorer shows the space that is physically allocated on the drive while TreeSize Free shows the space that is occupied by all files under a certain path. Please make sure that you have the view option "Allocated Space" activated when you are interested in the physically allocated space. Another reason for this difference can be that not all parts of the drive could be scanned due to access restrictions. Therefore it is highly recommended to run TreeSize Free as administrator. Turn on "View > Options > Show Errors Messages" to be notified if a folder cannot be scanned. Beyond the space that is needed for storing the files itself, additional space is used for storing management data like the File Allocation Table of the file system or the boot sector. It is not possible to free this space with TreeSize Free or any other tool. This is usually 0.5 - 2% of the occupied space. Another possibility is that you are using a Software RAID - like Windows offers - which spreads the data with redundancy over several disks. These disks will appear as one logical volume and the failure of a single disk will not cause any data loss. But for storing the redundant information, additional space is needed. On Thinkpad laptops the Rescue&Recovery feature may use a lot of disk space in the folder "RRBackup" which is not accessible to other applications.

·All folders which are visible in the window, will be included in the printed report. If you want a complete report, select the top folder and select "Full Expand" from the context menu.

·The indicator bars in the background, which can be selected to appear in the View menu, indicate the size of a folder relative to the scanned folders.

·With the detailed view, you can use the "optical media size" column to determine how much space a directory tree would occupy on a CD-ROM.

·By default the Windows folder "System Volume Information" is not accessible for users as well as Administrators (you can check this in the Windows Explorer after switching the hidden files to "on").

·Only file system folders can be scanned with TreeSize Free.

·TreeSize Free shows system and context menus with the currently selected UI language, if the according language pack is installed in Windows.

·Our products check for updates regularly. Only the ID of the product is transmitted to our server, which replies with the latest version number. This can be turned off at "Help > Check for Update".

·The Professional and the Personal Edition can also take NTFS Alternate Data Streams and hardlinks into account and so produce more exact results.

Translations

We are proud of the popularity of our award-winning disk space management software TreeSize and would love to offer it to everyone in her/his native language. In this way, all our worldwide users can enjoy localized TreeSize software with ease. TreeSize Free is already available in German and English. Thanks to the help of our great volunteer translators we are able to provide these translations:

·Chinese (Simplified): Thanks to Adrian Zhang, CJKCHINA, Neptune, and others

·Chinese (Traditional): Thanks to 樺, and MongWuNeiTherHwoGerLong

·Dutch: Thanks to Kees Bakker, Linda Bijlsma, Leroux, and others

·French: Thanks to Alexandre Mongin, David Dissard, Ignace Le Roux, and Gaillard S-G, and others

·Italian: Thanks to Fabrizio Picconi, Lionello Ferrazzini, Spigolo, David Coen, Daniele Caputo, Gioele Mattioli, Ivan Vaselli, Mario Corrado, Filippo Rubulotta, and others

·Japanese: Thanks to Kyotaro Iijima, Sriram Iyer, and Tetsuro Shimazaki

·Spanish: Thanks to MS-PC, and J. M. Fustero

·Portuguese: Thanks to Ian Lima Souza, Maria Pombo, and Carlos Figueiredo

·Russian: Thanks to Polina Morgan, Alexander Vorfolomeev, Temtaime, Gennady Morozov, and others

·Ukrainian: Thanks to one unnamed translator

Would you like to help us translate TreeSize Free to your language? Please find more information online.

Other References

·There is a 3rd-party project, which allows to integrate TreeSize Free with Visual Studio and open a project folder in TreeSize Free directly from the IDE. You may find the extension for download here.
You got your own project using TreeSize Free? Let us know, we are looking forward to receive your feedback!


TreeSize Professional / Personal

Navigation: »No topics above this level«

TreeSize Professional / Personal

As alternative to TreeSize Free, TreeSize Professional and TreeSize Personal are available as well. They provide not only the features of TreeSize Free, but also have a lot more powerful features :

·Several exporting and reporting possibilities: Printed report (showing the directory structure), Excel, PDF, HTML, XML, text file, clipboard.

·Ability to save the collected data to an XML file and to load it again later.

·A saved XML file can be used to compare it against the current version of the file system branch. The difference between the two scans will be displayed and makes it easy to see which folders have grown. It is also possible to use Snapshots (System restore points) of any drive instead of XML-files.

·Use the new Ribbon Interface to access all commands. Coherent commands are collected in tabs to improve the clarity of TreeSize.

·Statistics about file types, file owners and file ages on directory level.

·List of Top 100 biggest files.

·High performance through multi-threading: Scan and view several folders at the same time, automatic adjustment of the number of threads that are used for a scan.

·See all details (size, allocated, wasted, percent, files) at a glance.

·The visible columns can be configured separately for the Details view, Excel export, HTML export, Text export and printed reports. A lot of optional columns are available.

·A shell extensions is included that adds an additional column with the caption "TreeSize" to the Windows XP/2003 Explorer that shows the size not only for files but also for folders.

·3D bar and pie charts, as well as a hierarchical tree map can be displayed or printed.

·The contents of a directory can be printed, including all files and the corresponding icons.

·A list of all files in the scanned branch can be exported.

·The integrated multi-path file search helps you to find and archive the largest, oldest, obsolete and temporary files, e.g. invalid shortcuts or files owned by a non existent account.

·Duplicate File Search with MD5 checksums and the possibility to deduplicate files

·A fully customizable file search is available too.

·The search results can be exported, moved, zipped or deleted or passed to an executable as paramter.

·Ability to scan folders to which the current user does not normally have access to.

·Command line options allow scheduled scans. An integrated wizard helps you to set up scheduled scans. (Only Professional edition)

·Detailed Help file and printable manual.

·And much more. Please find a comparison matrix on our website.

Find more information as well as a full featured trial version at: https://www.jam-software.com/treesize/


What's new?

Navigation: »No topics above this level«

What's new?

Version 4.2.2: Released on 14 Aug 2018

·TreeSize Free is now also available with Italian, Russian, Chinese (Traditional), Dutch, and Ukrainian translation.

·A few minor fixes and improvements have been incorporated.

Version 4.2.1: Released on 27 Jul 2018

·TreeSize Free asks again for confirmation before deleting data, according to the settings in Windows.

·A possible error when starting the portable version on German systems has been fixed.

·A possible error when trying to analyze complete drives with the Windows Store version has been fixed.

·TreeSize Free no longer activates the Windows option „Show shadows under windows“.

·A few minor fixes and improvements have been incorporated.

Version 4.2: Released on 11 Jul 2018

·TreeSize Free is now available with French, Spanish, Chinese, Japanese, and Portuguese translation. More languages will follow.
You are missing a language or want to contribute to the translations? Great, please help us translate!

·Increased the performance when scanning local drives as administrator (using the MFT) significantly.

·The element highlighted in the directory tree is now also highlighted in the treemap chart.

·TreeSize Free no longer integrates with the context menu for the recycle bin or ZIP-files.

·Updated the product icon for TreeSize Free.

·The progress of an ongoing scan is now also displayed in the status bar at the bottom of the window.

·Improved the support for high-resolution monitors and multi-monitor setups.

·Bugfix: When examining the OneDrive folder, subfolders were sometimes recognized incorrectly as symbolic links. TreeSize Free now scans the OneDrive folder as expected.

·Bugfix: Under certain circumstances, a shown context menu would refer to another entry than the one selected in the directory tree. This issue has been fixed.

·A few minor fixes and improvements have been incorporated.

Version 4.1.2: Released on 18 Jan 2018

·Bugfix: When scanning a WebDav directory filenames may have been shortened and unexpected loops could have occurred. TreeSize Free now scans WebDav directories as expected again.

·Some servers with Samba 3 have been recognized falsely as Windows Server. It is now possible to scan shares on such servers using TreeSize Free, as long as it is not executed within a Windows domain.

·Under very specific circumstances the user interface of TreeSize Free could have been shown unexpectedly partly in German. This issue has been fixed.

·Bugfix: Several minor bug fixes and improvements have been incorporated.

Version 4.1.1: Released on 08 Dec 2017

·The ‚long tooltip‘ has been restored as the default tooltip type. You may now select your preferred tooltip type, including the new content preview introduced with V4.1, directly on the ‘Options’ tab.

·Bugfix: The directory tree is now properly resorted after deleting files and folders.

·Bugfix: An unhandled exception, which may occur when deleting files, has been fixed.

·Bugfix: On Windows 7, TreeSize Free ran into an error, when minimizing the window during a running scan. This issue has been fixed.

·Bugfix: Several minor bug fixes and improvements have been incorporated.

Version 4.1: Released on 14 Nov 2017

·TreeSize Free now allows forward and back navigation among the recently selected items.

·The extended filter mechanism now allows hiding empty folders from view.

·Folders and files that are compressed by the new compression methods of Windows 10 are now analyzed correctly by TreeSize Free.

·A new type of tooltip was introduced, which shows a preview of the content of the currently hovered-over element.

·The position of the treemap chart can now be switched to the bottom of the window. This increases the available space for details columns, with the treemap chart shown in parallel.

·TreeSize Free can now include a separate tile for the free space of a local drive in the treemap chart.

·The performance has been improved further when scanning a local drive or folder, or a remote location.

·Bugfix: Using the Windows Explorer's context menu for a mobile device to run TreeSize Free should now start the scan for the device as expected.

·Bugfix: Corrected the storing of the selected sorting. The sort direction should now be applied as intended.

·Bugfix: Several minor bug fixes and improvements have been incorporated.

Version 4.0.3: Released on 15 May 2017

·Bugfix: As with previous versions of TreeSize Free, the date of last modification of a folder now represents the date of last modification of all of its contained elements again.

·Some minor improvements and bug fixes have been incorporated.

Version 4.0.2: Released on 28 Apr 2017

·Bugfix: When using the ribbon interface TreeSize Free occasionally froze and didn't respond, or showed up a message saying TreeSize Free ran out of memory. This issue has been fixed.

·A few users prefer the toolbar user interface of v3 over the modern ribbon interface. To get back the old user interface, you may now run TreeSizeFree.exe once with the command line option: /UseRibbonUI false. More information about this topic is available in our knowledge base at http://www.jam-software.com/knowledgebase/7085

·Some minor improvements and further bug fixes have been incorporated.

Version 4.0.1: Released on 03 Apr 2017

·Bugfix: Custom settings made to the ribbon menu are now persisted and restored on next start of TreeSize Free.

·Bugfix: The portable version will no longer create an entry in the Windows Explorers' context menu by default. Users can still activate the context menu entry on the "Options" Tab

·Some minor improvements and further bug fixes have been incorporated.

Version 4.0: Released on 27 Mar 2017

·TreeSize Free now offers the hierarchical treemap chart known from TreeSize Professional. It will help visualize data distribution on your system.

oYou can activate the treemap using the “Show Treemap” button on the “View” tab.

oCustomize the treemap charts view to focus on relevant information. On the “Treemap” ribbon tab you can define a level of detail and select which elements will be included.

oYou can interact with the chart: Use the mouse wheel to zoom, double click to navigate to the selected folder, or simply hover over an element to show detailed information.

·TreeSize Free now uses the ribbon interface known from other applications like the Windows 10 Explorer or MS Office.

·TreeSize Free is now available via the Windows Store, replacing TreeSize Touch.

·TreeSize Free now uses a modern UWP-style layout for the touch-optimized UI.

oOverlay menus and the new "Options" dialog increase the usable workspace.

oThe touch-optimized UI will now present itself windowed and can be moved/resized like other store apps for Windows 10.

oThe recently scanned paths are now available on the touch-optimized UI.

·The scaling for displays with high DPI values for both, classic and touch-optimized UI has been improved.

·The scan performance of mobile devices has been increased significantly.

·TreeSize Free now supports selecting multiple elements in the directory tree for mobile phones and cameras.

·Bugfix: Corrected the column layout in printed reports. It should now use the available size of an A4 page with portrait format.

·Bugfix: Several minor bug fixes and improvements have been incorporated.

·Please note: The support for Windows XP has been dropped. We provide the stable version for TreeSize Free V3.4.5 for Windows XP users.

·Please note: Since the U3 group has cancelled the system's development in June 2010, the support for U3 USB sticks has been dropped. If you require a portable installation, please select the ZIP file TreeSize Free Portable from our download section. This file will run directly from the USB device and does not require the U3 Launchpad.

Version 3.4.5 Released on 16 Feb 2016

·Bugfix: Resolved a display issue where the position of a column could change if a folder was expanded.

·Bugfix: The status bar now shows correct percentage values again.

·Bugfix: Fixed an issue where the column header would not refresh if the user interface was switched between "size" and "percent".

·Bugfix: Entry "Rename" re-added to context menu.

·Bugfix: Several minor improvements and further bug fixes have been incorporated.

Version 3.4.4 Released on 07 Jan 2016

·Users can now send feedback via the "Help" menu.

·Bugfix: TreeSize Free occasionally froze while scanning and didn't respond. This issue has been fixed.

·Bugfix: TreeSize Free no longer shows "Decompress" in the context menu of Sparse files as long as they are not also NTFS compressed.​

·Bugfix: Several minor improvements and a few minor bug fixes have been incorporated.

Version 3.4.3 Released on 30 Nov 2015

·The directory tree's line height will now work when the view is zoomed (125%).

·Bugfix: The directory tree is sorted correctly again after a scan has finished.

·Bugfix: TreeSize Free occasionally froze while scanning and didn't respond. This issue has been fixed.

·Bugfix: Several minor improvements and a few minor bug fixes have been incorporated.

Version 3.4.2 Released on 05 Nov 2015

·Bugfix: An error that occured during drag-and-drop-operations has been fixed.

Version 3.4.1 Released on 04 Nov 2015

·Bugfix: If a file or folder is deleted outside the application, TreeSize Free won't crash on file operations any longer. Invalid elements are now removed from the directory tree.

·Bugfix: A context-sensitive help is available in the "Filters" dialog.

·Bugfix: The status bar updates itself correctly while scanning.

·Bugfix: Several minor improvements and a few minor bug fixes have been incorporated.

Version 3.4 Released on 12 Oct 2015

·TreeSize Free now supports scanning smartphones and mobile devices ​connected to the computer.

·Added support for one-click scans of local Dropbox, Google Drive and Microsoft OneDrive folders.

·TreeSize Free no longer requires a restart when switching to the touch-optimized user interface.

·Tablet mode in Windows 10 can be detected (optional). TreeSize Free will automatically switch to the matching user interface.

·The touch-optimized user interface now provides a context menu for files and folders.

·Users can now select a printer in the touch interface.

·The performance while expanding folders has been increased.

·Bugifx: long lasting operations can be canceled now.

·Bugfix: Column information are persisted correctly when restarting TreeSize Free as administrator.

Version 3.3.2 Released on 26 Mar 2015

·Bugfix: If several items are selected displaying the context menu no longer causes an error.

Version 3.3.1 Released on 24 Mar 2015

·Bugfix: The stability of the search in the directory tree has been improved.

·Bugfix: An error occurring while reading the MFT (Master File Table) on some drives has been fixed.

·Bugfix: Clicking into whitespace no longer selects items in the new touch-optimized user interface.

·Bugfix: Several minor improvements and a few minor bug fixes have been incorporated.

Version 3.3: Released on 16 Feb 2015

·TreeSize Free provides a touch-optimized user interface as an option for Windows 8.0 and higher.

·The scan performance on local NTFS drives (especially on SSD drives) has been increased.

·The total size of selected items in the Directory Tree is now displayed in the status bar.

·Bugfix: Several minor improvements and a few minor bug fixes have been incorporated.

Version 3.2: Released on 30 Sep 2014

·TreeSize Free now scans network drives (except Windows servers and network drives within a Windows domain).

·Bugfix: After deleting a file using SHIFT+DEL the directory tree is now updated correctly again.

·Bugfix: Several minor improvements and a few minor fixes have been incorporated.

Version 3.1.1: Released on 01 Sep 2014

·Bugfix: Sometimes the scan of a local NTFS drive lead to unexpected errors and the scan could not be processed correctly.

·Bugfix: Updating a single directory in the directory tree no longer refreshes the complete scan.

·Bugfix: Deleting a folder using the DEL now works again on machines running Windows Vista.

·Bugfix: The toolbar no longer flickers when resizing the window.

Version 3.1: Released on 12 August 2014

·TreeSize Free supports selection of multiple files now, e.g. to delete or move them.

·Users can now search for folders in the directory tree.

·Entries in the "Options" menu have been categorized.

·To always run TreeSize Free with administrator privileges, simply select "Always start this application as administrator" under "Options > Application".

·Several minor improvements and a few minor fixes have been incorporated.

Version 3.0.1: Released on 03 Apr 2014

·The column layout in printed reports has been rectified.

·Bugfix: [Files]-item on top level is displayed again.

·Bugfix: After deleting files via the context menu or the DEL key, the directory tree will be refreshed automatically.

Version 3.0: Released on 10 Mar 2014

·TreeSize Free can now be switched to a column mode, in which it shows more detailed information about each file and folder.

oYou can toggle between the new and the classic view using "Show Details" in the "View" menu or the corresponding button in the toolbar.

oYou can show or hide columns by right-clicking on the column header.

oYou can sort the directory tree by the information in each column by clicking on the column header.

oThe additional size information in front of each folder name can be hidden by choosing "View > Show Details > Hide preceding values in Name column".

·TreeSize Free now uses the master file table (MFT) for scanning local NTFS drives to improve the performance especially on HDDs. The MFT is only accessible if TreeSize is started as administrator.

·The toolbar now adapts its icon size depending on the window size.

·The new option "Show time with date values" will output file dates (e.g. "Last access", "Last change") more precisely.

·Bugfix: After unchecking "Options > Show TreeSize in Explorer Context Menu", the menu item for TreeSize Free is now correctly removed from the Explorer context menu in all Windows versions.

·Bugfix: TreeSize Free no longer crashes if the Windows display scaling is set to more than 200%.

·Several minor improvements and a few minor fixes have been incorporated.

Version 2.7: Released on 31 Jan 2012

·The "Filter" dialog in the "Options" menu has been enhanced:

oBesides include filters it is now also possible to use exclude filters. This can be useful to exclude certain directories or files permanently from TreeSize Free scans.

oYou can now define if matching should be done normally considering the wildcards * and ?, if an exact match should be performed, or if the pattern is treated as regular expression.

oYou can decide if the given pattern should be matched against the full path or just against the object name.

·The right click menu now offers to remove a folder temporarily from TreeSize Free or to exclude it permanently from scans.

·A few minor improvements and fixes have been incorporated.

Version 2.6: Released on 13 Oct 2011

·If started as administrator, TreeSize Free is now able to calculate the size of directories you normally do not have access to, e.g. the folder "C:\System Volume Information". This should lead to more exact results and does not break Windows security because files still cannot be opened. Please note that the Personal and Professional Edition are able to calculate even more exact results, by taking NTFS Alternate Data Streams and hardlinks into account.

·The option “Show Files in Directory Tree” lets you decide whether or not individual files should be shown in the directory tree.

·It is now possible to apply NTFS compression to a directory branch and to decompress a directory branch using the right click menu.

·Two buttons have been added to the toolbar that allow navigating forward and backward, like in the Windows Explorer.

·The operations "Expand to level xxx" are now available in every subfolder's right click menu. A new option lets you decide whether or not the operations in the the "Expand" menu will be applied also to the [Files] items.

·A few minor improvements and bug fixes have been incorporated and the performance has been improved.

Version 2.5.1: Released on 16 Nov 2010

·Increased speed when expanding many folders using the new "Expand" menu and many files are involved.

·The progress of a scan is now shown in the Windows 7 taskbar.

Version 2.5: Released on 08 Nov 2010

·TreeSize Free is now able to show the NTFS compression rate in the directory tree. This adds the main feature of our discontinued tool NTFSRatio.

·A new option allows to show compressed folders in blue color. Folders that are only partially compressed will be shown in dark blue.

·It is now possible to rename files and folders in the directory tree. This can be done by using the right click menu or by pressing F2.

·A new menu "Expand" in the main menu and the right click menu of the root folder which allows to expand all subfolders up to a certain level.

·A scan can now be stopped using "File > Stop Scan".

·The layout of the main menu has been revised.

·The support for Windows 2000 has been dropped because Microsoft dropped it in July 2010. TreeSize Free V2.4, which is compatible with Windows 2000, will remain available on our website.

·A few minor improvements and bug fixes have been incorporated.

Version 2.4: Released on 10 Feb 2010

·Support for drag and drop operations has been added. They work within the directory tree as well as with the Windows Explorer.

·"View > Options > File Filter" now shows a dialog box that allows to configure the include filters more comfortably.

·The items "New instance of TreeSize Free (Ctrl+N)" and "Print Setup" have been added to the "File" menu.

·"Scan this folder" has been added to right click menu. It allows you to start a new instance of TreeSize Free that is rooted at the selected folder.

·The Explorer context menu is now also shown for the [Files] items in the directory tree. The displayed context menu will apply to all files that are summarized under this item.

·Expanding all folders using the right click menu is much faster now.

·The Windows Start menu now has a shortcut to start TreeSize Free with administrative privileges under Windows Vista and later.

·The new option "Scan with one Thread only" under "View > Options" can be used to force a scan using just a single thread. This will have less impact on the performance of your system during the scan.

·Bugfix: In case a selected file was deleted and then its folder was collapsed, an error could occur.

·Bugfix: The application settings were not deleted correctly from a system during uninstallation.

Version 2.3.3: Released on 03 Jul 2009

·Bugfix: In case a selected file was deleted and then its folder was collapsed, an error could occur if no other file or folder was selected.

·A few minor improvements have been incorporated.

Version 2.3.2: Released on 24 Jun 2009

·Bugfix: In some cases the root folder in TreeSize was not expandable.

Version 2.3.1: Released on 18 May 2009

·Folders without sub-folders are now expandable as well and show the files, similar to the [Files] items.

·A few minor improvements have been incorporated.

Version 2.3: Released on 22 Apr 2009

·The [Files] items in the directory tree are now expandable and show the individual files after being expanded.

·It is now possible to customize the gradient in the background of the tree in the Options menu.

·User settings are now stored in an XML file instead of the Windows registry.

·It is now possible to adjust the number of decimals of the size values in the View menu.

·TreeSize Free will now use up to 2 threads for scanning instead of 1. In the Personal Edition and the Professional Edition the number of threads is not limited and will be adjusted automatically based on the system load.

·Bugfix: When changing the sort type after a scan, sub-folders of non expanded directories were not sorted correctly after expanding.

·Improved performance

·Several minor bug fixes and improvements have been incorporated.

Version 2.2.1: Released on 19 May 2008

·Bugfix: The menu item added using View / Options / Show TreeSize in Explorer Context Menu was not working.

·Bugfix: On some systems deinstallation did not work.

Version 2.2: Released on 9 May 2008

·TreeSize Free is now able to handle paths with more than 255 characters when scanning the disk.

·The compatibility with 64Bit systems has been improved.

·TreeSize Free now optionally shows long tooltip windows (View / Options) with detailed information if the mouse cursor pauses over a folder for a while.

·TreeSize Free now contains an option to turn on or off its menu item in the Windows Explorer context menu (View / Options). This is now a per-user option.

·Changed Help System from "Readme.txt" to HTML based Help files.

·Minor bug fixes and improvements have been incorporated.

·The support for Windows 9x/ME has been dropped. Users of these Windows versions may still use TreeSize Free V2.1.

Version 2.1: Released on 7 May 2007

·With the new option 'Show Error Messages' (Options / View) you can now choose to prompt an error message or not, if an error occurs during a scan (e.g. access to folder denied).

·A new button was added to the toolbar that opens the selected folder in the Windows Explorer.

·The browse for folder dialog (File / Select Directory) now includes an edit box to enter the directory you want to scan instead of browsing for it.

·The "[Files]" nodes in the directory tree now also have a right click menu including an entry to open the folder that contains these files in the Windows Explorer.

·The right click menu item 'Count Folders' was renamed to 'Number of Subfolders' and is now available for all scanned sub-folders, not only for the root folder.

·BugFix: If a removable drive was scanned and TreeSize finds after a later restart that this drive does not exist anymore, an error message was shown. Now, the missing drive will be ignored.

Version 2.0: Released on 14 Mar 2007

·TreeSize Free is completely rewritten and now based on the code of the latest version of TreeSize Professional.

·Scans are performed much faster now.

·The view can be switched to GB and file count now.

·Unicode paths are now supported.

·NTFS compression is now taken into account when calculating the allocated space.

·The small size indicator bars have been replaced with a type of gradient bar chart.

Version 0.2 - 1.7.9: Published 08 Jul 1996 - 27 Nov 2006


Using TreeSize Free

Navigation: »No topics above this level«

Using TreeSize Free

1.

The Ribbon Bar provides access to all commands of TreeSize Free. It is divided into logical sections such as the "Home" tab, containing commonly used functions and elements, or the "View" tab, enabling you to customize the appearance of TreeSize Free. Use the "Select Directory" button to start the scanning process for a drive or folder.

Furthermore, the arrows located in the quick access toolbar (usually the titlebar) allow to navigate forth and back through the recently selected elements within the directory tree.

2.

In the directory tree a graphical overview of the scanned drive or folder is shown. The arrows in front of each subfolder can be used to expand this view and look into the subfolders' contents.

3.

The details list particularizes the scanned files. This view is optional and can be turned off/on with the View > Show Details option.
You may customize the information and columns shown in the details view by right-clicking the columns header. More information about the available columns can be found in the Available Columns section.

You might also use this pane to show a hierarchically structured chart, named TreeMap, to visualize your data. The TreeMap can be turned off/on with the View > Show TreeMap option.

4.

Hovering buttons and menu entries the status bar shows hints and explanations to the functions you're about to use. In case nothing is hovered, it displays a short size overview of the scanned folder or drive.


The Ribbon Bar

Navigation: Using TreeSize Free >

The Ribbon Bar

The Ribbon Bar provides access to all commands of TreeSize Free. It is divided into the following logical sections, called "Tabs":

· File Allows you to select folders for scanning, open up new instances of TreeSize Free, and print collected data.

· Home Contains the most commonly used actions and elements of TreeSize Free.

· Scan Contains all actions and elements related to the current scan.

· View Contains all actions and elements influencing the general appearance of the application.

· Options Contains more detailed options, defining the appearance and behavior of TreeSize Free.

· Help Provides common help features, version information and feedback options.

· TreeSize Professional Missing a feature? This section provides more information about some of the features of TreeSize Professional.

In addition to these permanent tabs there are so-called "context tabs" which depend on the currently active view of TreeSize Free. They are highlighted in different colors.


Application Menu

Navigation: Using TreeSize Free > The Ribbon Bar >

Application Menu

The Application Menu (or "File" menu) allows you to select folders for scanning, open up new instances of TreeSize Free, and print collected data.

Recently Scanned

List of recently scanned paths and drives. Clicking a path will start a scan of this path.

Select Directory

Shows a dialog which lets you choose a folder for scanning. When the selection has been confirmed, TreeSize Free starts scanning the selected path.

Refresh

Refreshes the currently selected scan.

Stop Scan

Stops a currently active scan. This will abort the current scan process but not remove the data gathered so far from the view.

New Instance

Creates an additional Instance of TreeSize Free.

Start TreeSize as Administrator

Restart TreeSize Free with administrator privileges.

Please note: This button is available only if TreeSize Free was not started with administrator privileges.

Print Report

Print the data collected by the current scan.

Print Setup

Configure the printer and its settings.

About

Shows version number and contact information.

Exit

Closes TreeSize Free.


Home Tab

Navigation: Using TreeSize Free > The Ribbon Bar >

Home Tab

The ribbon tab Home contains the most commonly used actions and elements of TreeSize Free

Select directory

Opens a dialog enabling you to select a folder for scanning. TreeSize Free will start scanning the selected path once the selection has been confirmed.

Stop

Stops the currently selected scan. This will abort the current scan process but not remove the data gathered so far from the view.

Refresh

Refreshes the currently selected scan.

Size

Shows the size of files and folders.

Allocated Space

Shows occupied disk space on the hard disk.

File Count

Shows the number of files in the selected folders.

Percent

Shows how much percent of the parent folder each folder occupies.

Automatic Units

If this option is activated, TreeSize Free will automatically select the most appropriate size unit. Other units are available via the drop-down element (small arrow)

GB

Show size values in gigabyte (GB).

MB

Show size values in megabyte (MB).

KB

Show size values in kilobyte (KB).

Expand

Using the "Expand" button, you can expand or collapse the Directory Tree to a certain directory level. You can also use this menu to trigger a "Full expand" so that you will see any folder that is available in the current scan

Start TreeSize as Administrator

Restart TreeSize Free with administrator privileges.

Please note: This button is available only if TreeSize Free was not started with administrator privileges.


Scan Tab

Navigation: Using TreeSize Free > The Ribbon Bar >

Scan Tab

The ribbon tab Scan contains all actions and elements related to the current scan.

Select directory

Opens a dialog enabling you to select a folder for scanning. TreeSize Free will start scanning the selected path once the selection has been confirmed.

Refresh

Refreshes the currently selected scan.

Stop Scan

Stops an currently active scan. This will abort the current scan process but not remove the data gathered so far from the view.

Expand

Using the "Expand" button, you can expand or collapse the Directory Tree to a certain directory level. You can also use this menu to trigger a "Full expand" so that you will see any folder that is available in the current scan

Search Tree

Searches for a certain folder in the Directory Tree.

Parent Folder

Navigates to the parent folder or node of the currently selected item.

Print Report

Print the data collected by the current scan.

Open Location

Opens the containing directory of the current selection in the Windows Explorer.


View Tab

Navigation: Using TreeSize Free > The Ribbon Bar >

View Tab

The ribbon tab View contains all actions and elements influencing the general appearance of the application.

Size

Shows the size of files and folders.

Allocated space

Shows occupied disk space on the hard disk, aka "size on disk ".

Number of files

Show the number of files in folders.

Percent

Show how much percent of the parent folder each folder occupies.

Automatic Units

If this option is activated, TreeSize Free will automatically select the most appropriate size unit.

TB

Show size values in terabyte (TB).

GB

Show size values in gigabyte (GB).

MB

Show size values in megabyte (MB).

KB

Show size values in kilobyte (KB).

B

Show size values in byte (B).

Decimals

Sets the number of decimals shown in displayed values.

Sort by size

Sort items by size (descending order).

Sort by name

Sort items in alphabetical order.

Show Details

Check to activate a detailed view with customizable columns and information.

Show Treemap

Check to activate the Treemap chart.


Options Tab

Navigation: Using TreeSize Free > The Ribbon Bar >

Options Tab

The ribbon tab Options contains more detailed options, defining the appearance and behavior of TreeSize Free.

Filter

Define filtering options for TreeSize Free. Please find more detailed information in the topic "Filter".

Clear Filter

Remove active filtering options.

Hide empty folders

If this option is enabled, all folders that contain no files (after the current filter settings have been applied) will be hidden.

Tooltips

Allows to select the type of tooltips shown for folders hovered within the Directory Tree:

Only for cut off labels | Tooltips will show only the name of the hovered element if the name isn't already fully visible.
Show long Tooltips | If activated, Tooltips with information about the file or folder will be shown in a tooltip in Directory Tree by hovering an entry
Show a preview of the current folder's content | Shows a popup window with the content of the currently hovered element. This allows to quickly view the content of the element without changing selection or expanding it.

User Interface

Allows you to switch between the classic and the touch optimized user interface .

User Interface > Use classic UI

Check to start TreeSize Free with classic user interface on every start.

User Interface > Use touch optimized UI

Check to start TreeSize Free with touch optimized user interface on every start.

User Interface > Detect automatically

This option allows TreeSize Free to automatically detect which user interface should be used.

Language

Set the language to use TreeSize Free with here.

Options

Shows up a collection of additional options.

Options > Show Size Indicators

Determines whether the gradients should be drawn in the background of the directory tree or not

Options > Show Compressed Files and Folders in blue

If this option is selected, compressed files on an NTFS volume are shown in a blue color. Folders that are partially compressed will have a dark blue color, files and folders that are entirely compressed will show up in a light blue color.

Options > Show dates with time values

Defines whether date values (e.g. in "Last Modified" or "Last Access") should include exact time information.

Options > Show Files in Directory Tree

Determines whether just folders should be shown in Directory Tree or the contained files are only displayed.

Options > Expand also [Files] items

Enable this option to extend also the [Files]-Directory when expanding the directory tree.

Options > Show preceding values in details view

If activated, the caption of the standard view is used for the name column in the details view. If deactivated, the "Name" column on the details view will show the name of the element only.

Options > Show Error Messages after Scan

If activated, a window with errors collected during the scan will show up once the scan has finished. This window may also be opened by clicking the errors-link in the status bar.

Options > Scan with one Thread only

To achieve a better performance, TreeSize Free uses multi-threading as default to scan drives and folders. This option determines to only uses one thread to run through file systems.

Show TreeSize in Explorer Context Menu

Configures the Windows Explorer context menu integration of TreeSize Free.

Always start this application as administrator

Checking for administrator priviliges every time TreeSize Free is started.


Help Tab

Navigation: Using TreeSize Free > The Ribbon Bar >

Help Tab

The ribbon tab Help provides common help features, version information and feedback options.

Show help

Open the product manual of TreeSize Free.

Frequently Asked Questions

Shows the Frequently Asked Questions (FAQ).

About

Shows version number and contact information.

Check for Update

Checks online if a newer version of this software is available.

You like TreeSize Free? Help us spread the word.

Shows information on how you may leave a review of TreeSize Free.

You don't like TreeSize Free? Please tell us why.

Provides easy access to contact us for support and feedback.


Treemap Tab

Navigation: Using TreeSize Free > The Ribbon Bar >

Treemap Tab

The contextual ribbon tab Treemap Options provides individual options for the Treemap chart. This tab is only available, if the Treemap is shown.

Show in right pane

Allows to define the position of the Treemap. Activate this option to show the Treemap on the right side of the window, beneath the Directory Tree.

Show at bottom

Activate this option instead to show the Treemap at the bottom of the window, below the Directory Tree.

Level of detail

Change the detail level of the Treemap. With an increasing detail level, smaller tiles will also be drawn. Use a lower level of detail to focus on the larger elements and improve drawing speeds.

Show single files

if activated, single files will be drawn as individual tiles on the Treemap.

Show chart in 3D

View chart in 3D or 2D.

Show hierarchy

If activated, the hierarchical folder structure will be visualized. Deactivate to show the last elements of the hierarchy (files or folders) only.

Show legend

Displays a legend for the Treemap.

Show labels

if activated, a caption for each individual tile is shown.

Show free space on drive

if activated, the free space on a drive will be shown as an own tile in the Treemap. Requires the currently selected item to be a drive.


TreeSize Professional Tab

Navigation: Using TreeSize Free > The Ribbon Bar >

TreeSize Professional Tab

The ribbon tab TreeSize Professional provides more information about some of the features of TreeSize Professional.

Learn more about TreeSize Professional

Use this action to find information about some of the features and use cases TreeSize Professional offers.

Download Free Trial Version

TreeSize Professional is available as a Free Trial Version. Using this action will lead you straight to the download section.


Filter

Navigation: Using TreeSize Free >

Filter

Define filtering options for TreeSize Free. If you need information about e.g. certain file types only.

How to define a filter (exclude or include)

To define a new filter, please follow these steps:

1.Click the "Add pattern" button. An entry will be created in the filters list for the new filter.

2.Decide whether this filter shall operate as an exclude or include filter using the "Action" selector of the newly created entry. An exclude filter for the pattern "*.exe" for example will make TreeSize Free to not show any files with the extension ".exe". This will also affect the calculated values such as the "Size" in the directory tree as well as any other view. An include filter, on the other hand, will make TreeSize Free show only items that match this pattern. To return to the previous example, an include filter of "*.exe" would result in a Directory Tree showing only data related to files that have the extension ".exe".

3.Define the actual pattern. You can either use simple Wildcard pattern such as "*.exe", Regular Expression patterns such as ".+\.exe$", or patterns that match full names like "notepad.exe". Please make sure that you select the matching pattern type on the "Type" selector on the right side of the window.

4.The "Match Against" selector is used to specify the element/attribute against which the pattern is compared. Patterns can either be matched against file names, (full) paths, owners, folder names, or object names. You can use the "owner" filter to, for example, include or exclude certain file owners from the TreeSize Free scan results. With the "full paths" or "folder name" filter you can include or exclude complete directory branches matching a certain pattern (e.g. "*\Program Files*"). The "file name" filter should be used when you intend to include or exclude certain file extensions (e.g. "*.tmp"), like described in step 2.

Preview the results

The "Preview" button enables you to view the results of a defined search pattern. The preview will use the currently selected pattern to show an Explorer-like view highlighting excluded and included items in appropriate colors (red and green). The following screenshot shows the results of an exclude filter for full paths that match the pattern "Program Files".


Available columns

Navigation: Using TreeSize Free >

Available columns

These are the available columns that can be configured individually for the detailed view of TreeSize Free.

Column name

Description

Name

The name of the file or folder.

Full Path

The full path, including the object's name.

Size

The size of the object.

Allocated

The space that the object currently occupies on disk.

Files

The number of files in a directory branch.

Folders

The number of sub-folders in a directory branch.

% of Parent

The amount of space in percent that a folder or file occupies relative to its parent folder.

Last Modified

The last change date of the object. TreeSize Free calculates the last change and last access date more precisely than the Windows Explorer, because it takes all files in all sub-folders into account. So the values shown in the Windows Explorer may differ.

Last Accessed

The last access date of the object.

Compr.

The size in percent by which an object has been compressed using the built in compression of the file system.

Owner

The user name that owns a folder or file.

Optical media size

The amount of space that an object would occupy on an optical medium such as a CD or DVD with ISO file system.

Attributes

The file attributes Readonly (R), Hidden (H), System (S), Directory (D), Archive (A), Compressed (C), Sparse (P), Temporary (T), Offline (O), Reparse Point (L) Encrypted (E) and Alternate Data Streams (Z).

Type

The file type, e.g. "Text file".

Dir Level (Relative)

The level of an object in the file system. This value can be useful when processing the collected data.

Creation Date

The date at which the object has been created.

Containing Path

The full path to object, not containing the object's name.

Avg. File Size

The average size of a file in a folder.

Permissions

The access permissions of the object in the UNIX-like format: Username1: +/-R +/-W +/-X Username2: ... where "+" means the right is granted and "-" means that the right is denied. "R" stands for read access and "W" for right access. For files "X" means the right to execute, for directories the right to list the directory content.
TreeSize maps the actual permissions to a very compact presentation: Multiple access control elements for one user are merged to one, and most special permission are not displayed.

Please note:

You want to get notified if the permissions of certain important folders change? This can be done using our monitoring tool "Server Sentinel". The file system sensor allows you to monitor specific file system events, send automatic notifications, and react to them accordingly.

File Version

The version number that is included in EXE, DLL OCX and similar binary files.

Author

This column shows the author information that is extracted from the meta data of the file, taken from MS Office and compatible files.

Last Save Date

This column shows the date on which the file was saved the last time, taken from MS Office and compatible files. This information is extracted from the meta data of the file.

Path Length

Shows the number of characters included in the full path of this file or folder.

Description

For folders and shares this column shows the comment associated with them. For office files and pictures their embedded title is shown. In case non of this data is available, but the folder's of file's name is an SID (like in the "\$Recycle.Bin" folder), this SID is resolved to a username in this column.


Using TreeSize Free Touch

Navigation: »No topics above this level«

Using TreeSize Free Touch

Using Version 3.3 or later of TreeSize Free there is an additional touch-optimized user interface called TreeSize Free Touch.

1.

The top menu bar provides access to the Application Menu on the left and the View Options on the right. It also contains shortcuts to interact with the selected data.

2.

In the directory tree a graphical overview of the scanned drive or folder is shown. The arrows in front of each subfolder can be used to expand this view and look into the subfolders' contents.

3.

The details list particularizes the scanned files. This view is optional and can be turned off/on with the View Options > Show Details option.

You might also use this pane to show a hierarchically structured chart, named TreeMap, to visualize your data. The TreeMap can be turned off/on with the View Options > Show TreeMap option.


Application Menu

Navigation: Using TreeSize Free Touch >

Application Menu

The Application Menu allows you to select folders for scanning, access the configuration screen, and print collected data.

Back

Closes the menu. The menu is also closed when setting focus to another element of the application.

Select Directory

Shows a dialog which lets you choose a folder for scanning. When the selection has been confirmed, TreeSize Free starts scanning the selected path.

Recently scanned

List of recently scanned paths and drives. Clicking a path will start a scan of this path.

Refresh

Refreshes the currently selected scan.

Stop Scan

Stops a currently active scan. This will abort the current scan process but not remove the data gathered so far from the view.

Print Report

Print the data collected by the current scan.

Options

Shows a configuration dialog which lets you customize the appearance and behavior of TreeSize Free.

Show help

Opens this help file.

Close

Closes TreeSize Free.


View Options

Navigation: Using TreeSize Free Touch >

View Options

The View Options Menu contains all actions and elements influencing the general appearance of the application. It is closed automatically when setting focus to another element of the application.

Values as GB

Show size values in gigabyte (GB).

Values as MB

Show size values in megabyte (MB).

Values as KB

Show size values in kilobyte (KB).

Automatic Units

If this option is activated, TreeSize Free will automatically select the most appropriate size unit.

Size

Shows the size of files and folders.

Allocated Space

Shows occupied disk space on the hard disk, aka "size on disk ".

Percent

Show how much percent of the parent folder each folder occupies.

File Count

Show the number of files in folders.

Sort by Name

Sort items in alphabetical order.

Sort by Size

Sort items by size (descending order).

Show TreeMap

Check to activate the Treemap chart.

Show Details

Check to activate a detailed view with customizable columns and information.


Options

Navigation: Using TreeSize Free Touch >

Options

The Options Dialog contains all Options to customize the appearance and behavior of TreeSize Free.

Elements are logically grouped on several tabs. Use the items on the left to navigate through.

Options

Close the Options Dialog and return to the main view.

Directory Tree

Show Dates with Time Values

Defines whether date values (e.g. in "Last Modified" or "Last Access") should include exact time information.

Show Files in Directory Tree

Determines whether just folders should be shown in Directory Tree or the contained files are only displayed.

Show Compressed Files and Folders in blue

If this option is selected, compressed files on an NTFS volume are shown in a blue color. Folders that are partially compressed will have a dark blue color, files and folders that are entirely compressed will show up in a light blue color.

Show Size Indicators

Determines whether the gradients should be drawn in the background of the directory tree or not

Columns

Select the columns that will be shown in the Directory Tree.

Treemap

Show single files

if activated, single files will be drawn as individual tiles on the Treemap.

Show hierarchy

If activated, the hierarchical folder structure will be visualized. Deactivate to show the last elements of the hierarchy (files or folders) only.

Show legend

Displays a legend for the Treemap.

Show chart in 3D

View chart in 3D or 2D.

Show labels

if activated, a caption for each individual tile is shown.

Show free space on drive

if activated, the free space on a drive will be shown as an own tile in the Treemap. Requires the currently selected item to be a drive.

Position

Allows to define whether the Treemap shall be shown at the right side of the window, beneath the directory tree, or at the bottom of the window, below the Tree.

Level of detail

Change the detail level of the Treemap. With an increasing detail level, smaller tiles will also be drawn. Use a lower level of detail to focus on the larger elements and improve drawing speeds.

Scan

Show Error Messages After Scan

If activated, a window with errors collected during the scan will show up once the scan has finished. This window may also be opened by clicking the errors-link in the status bar.

Scan with one Thread only

To achieve a better performance, TreeSize Free uses multi-threading as default to scan drives and folders. This option determines to only uses one thread to run through file systems.

User Interface

Use classic UI

Check to start TreeSize Free with classic user interface on every start.

Use touch optimized UI

Check to start TreeSize Free with touch optimized user interface on every start.

Automatically detect User Interface

This option allows TreeSize Free to automatically detect which user interface should be used.

Language

Set the language to use TreeSize Free with here.

Application

Show TreeSize in Explorer Context Menu

Configures the Windows Explorer context menu integration of TreeSize Free.

Always start this application as administrator

Checking for administrator priviliges every time TreeSize Free is started.

Show help

Open the product manual of TreeSize Free.

About

Shows version number and contact information.


New Scan

Navigation: Using TreeSize Free Touch >

New Scan

To perform a new Scan select a folder from your file system.

1 | Select a drive or folder from dropdown menu, the file system tree or the preview on the right.
2 | Accept the selected folder or drive by clicking "Select Folder". Navigate to parent folder with "Go up".


FAQ

Navigation: »No topics above this level«

FAQ

Q: Does TreeSize Free support scanning network drives?

A: Yes, scanning network drives is fully supported by the free version, unless the network share lies within a Windows domain. This is mostly the case in larger environments, such as a company network. The professional edition also supports scans in Windows domains.

Q: Can I use TreeSize Free to scan my mobile phone?

A: Yes, TreeSize Free can scan mobile devices that are connected to the PC via USB. Most smartphones and digital cameras use the MTP (Media transfer protocol), which is not supported by many disk space managers. TreeSize, on the other hand, is able to scan these devices and show the disk space that is occupied on your mobile device.

Q: Do you offer a portable version of TreeSize Free ?
A: Yes, our download page allows you to select either the .exe setup file, which can be used for a full installation, or a .zip file that contains the TreeSize Free executable, which can be run without installation.
Q: Am I allowed to use TreeSize Free in a corporate environment?
A: Yes, you may use the free version in a corporate environment. However, scanning of network shares within Windows domains, as it is often the case in corporate environments, is only possible with the professional version.
Q: Why does TreeSize Free show different size values than Windows Explorer?
A: These differences can occur because the free version does not take all NTFS-specific features into account.The personal and professional edition come with an option to analyze NTFS features like hardlinks and alternate data streams, which may make the results more accurate.


Knowledge Base

Navigation: FAQ >

Knowledge Base

Haven't found what you are looking for? Try searching in our online Knowledge Base.
Press "search" to open the Knowledge Base in your default web browser.

Please note: An Internet connection is required, JavaScript needs to be enabled in your web browser.


Copyright & Contact

Navigation: »No topics above this level«

Copyright & Contact

Copyright © 2018 Joachim Marder e.K.

JAM Software GmbH
Am Wissenschaftspark 26
54296 Trier

Germany

FAX: | +49-651-145653-29
WWW: | https://www.jam-software.com
Support: | https://www.jam-software.com/customers/contact.php
Email: | TreeSize@jam-software.com
Commercial register number: | HRB: 4920 (AG Wittlich)
VAT ID No.: | DE234825349
Managing Director: | Joachim Marder